QGIS Application - Bug report #20329
embed of svg symbols does not work for svg symboles > 25 kB
2018-11-02 11:41 AM - Sebastian Brocks

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Project Loading/Saving

Affected QGIS version:3.4.0 Regression?: No
Operating System: windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28150
Description

Embedding SVG symbols larger than 25 kB accoroding to https://github.com/qgis/QGIS-Enhancement-Proposals/issues/126 does not
work.

Associated revisions

Revision 32dc1020 - 2018-12-06 12:22 AM - Nyall Dawson

Fix embedding larger files then can fit in a QLineEdit's contents

Fixes #20329

Revision 4d5b195c - 2018-12-06 02:33 AM - Nyall Dawson

Fix embedding larger files then can fit in a QLineEdit's contents

Fixes #20329

(cherry picked from commit 32dc1020261a2a28491b680e7b8291b70fe6deb?2)

History

#1 - 2018-11-04 08:49 PM - Saber Razmjooei
- Category changed from Symbology to Project Loading/Saving

#2 - 2018-11-04 09:29 PM - Nyall Dawson
- Status changed from Open to Feedback

Can you provide more info? E.g. what happens in this circumstance. Is the embedded symbol truncated?

#3 - 2018-11-19 11:22 AM - Sebastian Brocks

Hmm, it's not truncated. The problem might be that test-SVG files that | have that are not working are already including Base64 encoded bitmap images.

#4 - 2018-11-19 04:17 PM - Giovanni Manghi
- Status changed from Feedback to Open
https://github.com/qgis/QGIS-Enhancement-Proposals/issues/126

#5 - 2018-12-05 12:11 PM - Nyall Dawson

- Status changed from Open to In Progress

#6 - 2018-12-06 12:22 AM - Nyall Dawson
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|32dc1020261a2a28491b680e7b8291b70fe6deb?2.
